function [optCost, optPolicy] = ssp_LinearProg(P)
% [optCost, optPolicy] = ssp_LinearProg(P)
% 
% Function for solving stochastic shortest path problem using linear
% programming.
%
% Input:
%   P           Problem data, [(N+1)x(N+1)xM] matrix P where the element
%               P(i,j,u) is the probability to move from node i to node j
%               when applying the input u
%
% Output:
%   optCost     Column vector containing the expected optimal cost for each
%               node: [J(1) J(2) ... J(N+1)]'
%   optPolicy   Column vector containing the optimal policy for each state:
%               [mu(1) mu(2) ...mu(N+1)]'
%
% 
% Class:
% Dynamic Programming and Optimal Control
% Fall 2009
% Programming Exercise 2, Template
%
% --
% ETH Zurich
% Institute for Dynamic Systems and Control
% Angela Schllig
% aschoellig@ethz.ch
%
% --
% Revision history
% [11.11.09, AS]    first version
%
%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Solution by: (PLEASE ENTER YOUR NAMES HERE)
%   
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Get problem size
% Number of states, NOT including the termination state which is N+1
N = size(P,1)-1;

% Number of control inputs
M = size(P,3);


%% Put your code here.





%% Results:
% To be adapted.
optCost = zeros(N+1, 1);
optPolicy = zeros(N+1, 1);
