function simCosts = ssp_Sim(P, i0, SIM_NUM, optPolicy);
% simCosts = ssp_Sim(P, i0, SIM_NUM, optPolicy)
% 
% Function simulating the stochastic shortest path problem.
%
% Input:
%   P           Problem data, [(N+1)x(N+1)xM] matrix P where the element
%               P(i,j,u) is the probability to move from node i to node j
%               when applying the input u
%   i0          Starting node, scalar.
%   SIM_NUM     Number of simulations to be performed (always starting from
%               i0)
%   optPolicy   Optimal policy, [(N+1)x1] column vector containing the
%               optimal policy for each state: [mu(1) mu(2) ...mu(N+1)]'
%               
%
% Output:
%   simCosts    [SIM_NUM x1] Column vector containing the simulated costs of
%               each simulation run.
%
% 
% Class:
% Dynamic Programming and Optimal Control
% Fall 2009
% Programming Exercise 2, Template
%
% --
% ETH Zurich
% Institute for Dynamic Systems and Control
% Angela Schllig
% aschoellig@ethz.ch
%
% --
% Revision history
% [11.11.09, AS]    first version
%
%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Solution by: (PLEASE ENTER YOUR NAMES HERE)
%   
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Get problem size
% Number of states, NOT including the termination state which is N+1
N = size(P,1)-1;

% Number of control inputs
M = size(P,3);


%% Put your code here.





%% Results:
% To be adapted.
simCosts = zeros(SIM_NUM,1);

